[CentOS] yum update - Glibc Problem

Lee W lee at unassemble.co.uk
Thu Nov 17 18:03:16 UTC 2005

Jim Perrin wrote:

> I'm guessing it's a bit more than that. I'm guessing it's an arch
> mismatch.
>please add the following line to root's .rpmmacros
>%_query_all_fmt %%{name}-%%{version}-%%{release}.%%{arch}
>then rpm -q glibc
>then do 'yum list glibc'
>yum by default has exactarch matching enabled. my guess is that the
>arch on your system doesn't match the updated arch on the mirrors.
>Jim Perrin
>System Architect - UIT
>Ft Gordon & US Army Signal Center
>CentOS mailing list
>CentOS at centos.org
Hi Jim,

It seems you are right:-

Installed Packages
glibc.i586                               2.3.4-2                installed
Available Packages
glibc.i386                               2.3.4-2.13             base

Is there a solution, or do I just have to wait until another updated
package is provided?



More information about the CentOS mailing list